Freshworks is committed to implementing and updating security controls to ensure information systems and customer data used as part of our offerings are protected.  Freshworks ended up supporting the older versions of TLS (1.1 and below) and continued support for TLS 1.2 across our suite of products in April 2020.


We are now changing our transport layer security controls to allow only TLS 1.2 Strong cipher suites. This update will aid in eliminating all the TLS downgrade attacks and thereby strengthen the secure use of Transport Layer security.


There is no action required from customers and end users. Freshworks recommends that all customers use modern, updated web browsers to access our suite of products.


Reach out to support@freshworks.com in case of any queries.


You can check out the minimum system requirements for Freshdesk here

System and browser requirements for Freshdesk